## palbart 2.13

=== debian/changelog ===
palbart (2.13-2) unstable; urgency=medium

  * Point Vcs-* fields at repository on salsa.debian.org
  * Raise debhelper compat level to 11
  * Bump Standards-Version to 4.1.4
    - Priority extra is deprecated, change to optional

 -- Andreas Bombe <aeb@debian.org>  Fri, 15 Jun 2018 02:05:38 +0200

palbart (2.13-1) unstable; urgency=medium

  * New version 2.13 from a different upstream location
  * New maintainer
  * Update debian/copyright and switch to machine readable format
  * Switch source format to '3.0 (quilt)'
  * Add missing-prototype patch to fix a compiler warning
  * Move small manpage changes into patch manpage-fix
  * Move the Makefile modification to a quilt patch
  * Simplify Makefile by using implicit rules with the added benefit of
    honoring CFLAGS, LDFLAGS and so on
  * Remove useless watch file
  * Remove debian/substvars that appears to have no purpose
  * Increase debhelper compat level from 8 to 10
  * Increase Standards-Version to 4.0.0
  * Add DEB_BUILD_MAINT_OPTIONS to debian/rules with the usual hardening flags
  * Add get-orig-source script and target in debian/rules
  * Add Vcs fields to debian/control

 -- Andreas Bombe <aeb@debian.org>  Sun, 09 Jul 2017 18:51:47 +0200

palbart (2.4-7) unstable; urgency=low

  * Building on testing now; Standards upgrade from 3.9.1.0 to 3.9.2.0
  * Redoing debian/rules into the "tiny" version.
  * debian/compat from 7 to 8

 -- Vince Mulhollon <vlm@debian.org>  Mon, 01 Aug 2011 09:20:31 -0500

palbart (2.4-6) unstable; urgency=low

  * Standards version upgrade from 3.6.2.0 to 3.9.1.0
    fixes lintian ancient-standards-version
  * Modified the description removing the "An" to fix 
    lintian description-synopsis-starts-with-article 
  * Added misc:Depends to control file to fix
    lintian debhelper-but-no-misc-depends
  * Stop ignoring make clean errors by removing "-"
    fixes lintian debian-rules-ignores-make-clean-error
  * Set debhelper version in new compat file instead of rules 
    file.  Fixes lintian debian-rules-sets-DH_COMPAT
  * A first attempt at a debian/watch file
    Fixes lintian debian-watch-file-is-missing
  * Explicitly set source format 1.0 (for now) in debian/source/format
    This makes lintian happy, missing-debian-source-format goes away
    Eventually I'll switch to Quilt-3.0 format, just not today.
  * debhelper compat version upgraded from 4 to 7 which
    fixes lintian package-uses-depricated-debhelper-compat-version
  * Cleaned up the copyright file.  Nothing substantial has changed,
    other than adding the years and email addrs on the (C) line, and
    also added the upstream location as also seen in the watch file.
    Format inspired by Joerg Jaspert's email "How (not) to write 
    copyright files - take two" to the DDA list from 26 Mar 2006.
    This fixes lintian copyright-without-copyright-notice
  * Cleaned up rules file, removing unused debhelper calls for
    info files, example files, cron files.
  * Replaced call in rules for dh_clean -k with modern dh_prep
    fixes lintian dh-clean-k-is-deprecated
  * Added versioned Build-Depends in rules for debhelper (>= 7)
    because I'm now using vers 7 debhelper (see compat file)
    Fixes lintian package-lacks-versioned-build-depends-on-debhelper

 -- Vince Mulhollon <vlm@debian.org>  Thu, 07 Jul 2011 09:08:54 -0500

palbart (2.4-5) unstable; urgency=low

  * Standards version 3.6.2.0 
  * Change debhelper compat level from 1 to 4

 -- Vince Mulhollon <vlm@debian.org>  Fri, 16 Sep 2005 20:22:47 -0500

palbart (2.4-4) unstable; urgency=low

  * Change control file priority from optional to extra 
  * Convert from dh_installmanpages to dh_installman

 -- Vince Mulhollon <vlm@debian.org>  Tue, 19 Oct 2004 19:41:01 -0500

palbart (2.4-3) unstable; urgency=low

  * Fix typo in control file
    (Closes: #277238)
  * Standards ver 3.6.1.0

 -- Vince Mulhollon <vlm@debian.org>  Tue, 19 Oct 2004 19:16:49 -0500

palbart (2.4-2) unstable; urgency=low

  * Standards ver 3.5.8.0 
  * fixes postinst-should-not-set-usr-doc-link

 -- Vince Mulhollon <vlm@debian.org>  Tue, 17 Dec 2002 20:02:35 -0600

palbart (2.4-1) unstable; urgency=low

  * Upstream upgrade from 2.3 to 2.4
  * palbart upstream now includes source for macro8x
  * macro8x is included in simh... so I'll leave it out of palbart
    for this version, then remove it from simh, then add to palbart.

 -- Vince Mulhollon <vlm@debian.org>  Mon, 22 Apr 2002 16:45:32 -0500

palbart (2.3-3) unstable; urgency=low

  * Fix various typos (closes: Bug#125212)
  * Upgrades standards version from 3.5.2.0 to 3.5.6.0

 -- Vince Mulhollon <vlm@debian.org>  Wed, 19 Dec 2001 18:53:45 -0600

palbart (2.3-2) unstable; urgency=low

  * Upgrade standards version from 3.0.1 to 3.5.2.0

 -- Vince Mulhollon <vlm@debian.org>  Sun,  1 Apr 2001 10:16:12 -0500

palbart (2.3-1) unstable; urgency=low

  * Initial Release.

 -- Vince Mulhollon <vlm@execpc.com>  Sun, 16 Jan 2000 17:38:05 -0600

Local variables:
mode: debian-changelog
End:
