## palbart 2.14

=== debian/changelog ===
palbart (2.14-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Andreas Bombe ]
  * New upstream version 2.14
  * Bump Standards-Version to 4.6.2, no changes needed
  * debian/copyright: Remove Makefile as that is generated by patch only
  * debian/control: Add Homepage field linking to the download page
  * debian/control: Add Rules-Requires-Root field

 -- Andreas Bombe <aeb@debian.org>  Wed, 06 Sep 2023 21:59:02 +0530
